%
%	Script for finishing plotting in a human readable form
%
%	Written by T. Hrycak, Nov. 7, 2007. 
%	Last modified, Nov. 7, 2007.
%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%	getting the limits and tic locations
%
grid on

xlimits = get(gca, 'XLim');
ylimits = get(gca, 'YLim');

xticks = get(gca, 'XTick');
yticks = get(gca, 'YTick');

grid off

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%	replotting the grid
%

children_num = length(get(gca,'Children'));

a = .9;
for tmp = xticks
    line([tmp tmp], ylimits, 'Marker', '.', 'Color', [a a a], 'Linewidth', 0.1)
end

for tmp = yticks
    line(xlimits, [tmp tmp], 'Marker', '.', 'Color', [a a a], 'Linewidth', 0.1)
end

%       restoring the old limits

axis([xlimits ylimits])

%	hiding the grid lines under the previously plotted objects

children = get(gca,'Children');
set(gca, 'Children', circshift(children, children_num))

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%	setting fonts for the figure and the title
%

set(gca, 'FontSize', 16, 'FontWeight','bold')

if exist('title_string')
   title(title_string, 'FontSize', 16, 'FontWeight', 'bold')
end
