%  The optional input parameter 'param' is a structure with one or more 
%  of the following fields:
%
%  param.iter     -- [default: [20, 30]] minimum and maximum number of 
%                    iterations. 
%
%  param.huge     -- [default: 1e06] treat an eigenvalue of absolute 
%                    value > param.huge as infinite.    
%   
%  param.ini_method -- [default: 'ini_method 2'] method to estimate the inital 
%    eigenpair, the following options are available:
%    'ini_method 0': if user have a good guess about the initial eigenpairs,
%                    the use this option. Do not forget to set the initial
%                    eigenvectors in the columns of matrix X_0, and eigenvalues
%                    in the diagonal matrix D_0.
%    'ini_method 1': from random choice of rows to form a square subset of 
%                    rectangular matrices. (not recommended) 
%    'ini_method 2': from QR decomposition of [B, A]. (highly recommended)
%    'ini_method 3': from the square matrix pencil [B'A, B'B]. (Suggested by
%                    Boutry et al. 2005, SIMAX Vol. 27, No. 2)
%    'ini_method 4': if rough estimates of eigenvalues (lambda) are known, 
%                    then rough estimates of eigenvectors are smallest right 
%                    singular vector of (A - lambda*B).
%
%  param.esti_method -- [default: 'joint'] the following methods are 
%     available for estimation of generalized eigenpairs of overdetermined 
%     matrix pairs:
%     'MPA'     minimum perturbation approach by Boutry et al., SIAMX 2006.    
%               Use ">>help get_eig_MPA" to know more.
%     'direct'  direct optimization of the objective function. 
%               Use ">>help get_eig_direct" to know more.
%     'ldist'   method based on least distance approach.
%               Use ">>help get_eig_least_distance" to know more.
%     'joint'   joint optimization of eigenvalues and eigenvectors.
%               Use ">>help get_eig_joint" to know more.
%



% CHANGE LOG
%
% * Feb. 08, 2011: max_iter and min_iter is changed to two element vector.
% * Jan. 27, 2011: min_iter is set 
% * Jan. 27, 2011: default parameters are set
% * Jan. 26, 2011: copied one of the driver to generate this function. 
